
QGIS Application - Bug report #10520

Wrong size of svg marker in point pattern fill (with data defined properties)

2014-06-10 03:47 AM - zicke -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18930

Description

The size of the svg marker changes only by panning from time to time. It should only change its size by zooming since an expression is

used for the size of the  marker:

CASE 

WHEN $scale < 750 THEN 5.6

WHEN $scale >= 750 AND $scale < 1250 THEN 4

WHEN $scale >= 1250 AND $scale < 3000 THEN 2.8

WHEN $scale >= 3000 THEN 2

END

Testproject is attached (should look like attached screenshot).

Associated revisions

Revision c49e38c3 - 2014-06-13 06:38 AM - Martin Dobias

Merge pull request #1449 from edigonzales/master

fixes #10520 (scale method for SVG) and #10509 (dash pattern)

History

#1 - 2014-06-11 12:45 AM - zicke -

It seems that mScaleMethod in QgsSvgMarkerSymbolLayerV2::renderPoint() changes randomly. No idea why. And then the root is extracted.

#2 - 2014-06-12 06:58 AM - zicke -

- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/1449

#3 - 2014-06-12 09:38 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"c49e38c39c9d687fdd99279997995229d4027055".
https://github.com/qgis/QGIS/pull/1449


#4 - 2014-06-12 09:43 PM - Martin Dobias

- Target version set to Version 2.4

Files

svg_marker.png 129 KB 2014-06-10 zicke -

svg_marker.zip 294 KB 2014-06-10 zicke -
